Jump to content

Search the Community

Showing results for tags 'update server error'.



More search options

  • Search By Tags

    Type tags separated by commas.
  • Search By Author

Content Type


Forums

  • Games
    • The Universim
    • Goblins of Elderstone
    • Cefore
    • Prehistoric Kingdom
    • Other Games
  • Crytivo Store
    • News and Announcements
    • Store Discussion
    • Contest, Incentives and Giveaways
  • Community Discussion
    • Forums Rules and Important Information
    • International Communities
    • Off-Topic Discussion

Found 1 result

  1. Can not contact update server

    Can not contact update server If I want to run the application I get an error message saying: "Can not contact update server, but it seems you can run outdated version." I don't know what to do and what the cause is of this problem. Please help so other people experiencing the same issue can find their answer here hopefully
×